//
//  HumitureItem.m
//  AsReaderLR
//
//  Created by mac on 2019/4/23.
//  Copyright © 2019年 asterisk. All rights reserved.
//

#import "HumitureItem.h"

@implementation HumitureItem

- (void)encodeWithCoder:(NSCoder *)aCoder
{
    [aCoder encodeObject:self.tag forKey:@"tag"];
    [aCoder encodeObject:self.vauleStr forKey:@"vauleStr"];
    [aCoder encodeFloat:self.rssi forKey:@"rssi"];
    [aCoder encodeFloat:self.phase forKey:@"phase"];
    [aCoder encodeFloat:self.frequency forKey:@"frequency"];
}
- (nullable instancetype)initWithCoder:(NSCoder *)aDecoder
{
    if (self = [super init]) {
        self.tag = [aDecoder decodeObjectForKey:@"tag"];
        self.vauleStr = [aDecoder decodeObjectForKey:@"vauleStr"];
        self.rssi = [aDecoder decodeFloatForKey:@"rssi"];
        self.phase = [aDecoder decodeFloatForKey:@"phase"];
        self.frequency = [aDecoder decodeFloatForKey:@"frequency"];
    }
    return self;
}
- (id)copyWithZone:(NSZone *)zone{
    HumitureItem *asTagItem=[[[self class] allocWithZone:zone] init];
    asTagItem.tag=self.tag;
    asTagItem.vauleStr=self.vauleStr;
    asTagItem.rssi  =self.rssi;
    asTagItem.phase  =self.phase;
    asTagItem.frequency  =self.frequency;
    return asTagItem;
}


@end
