//
//  FirmwareUpdateManager.h
//  P252BDemo
//
//  Created by mac on 2020/10/28.
//  Copyright © 2020 zyl. All rights reserved.
//
#import <Foundation/Foundation.h>
#import "AsReaderP252BManager.h"
typedef NS_ENUM(NSUInteger, P252BWFirmwarePropertyType) {
    P252BFirmwarePropertyTypeGet = 0x52,        // 'R'
    P252BFirmwarePropertyTypeSet = 0x57,        // 'W'
};

typedef NS_ENUM(char , P252BFirmwareType) {
    P252BFirmwareTypeAddress       = 0x3C,         // '<'
    P252BFirmwareTypePicketStart   = 0x3D,         // '='
    P252BFirmwareTypePicket        = 0x3E,         // '>'
    P252BFirmwareTypePicketEND     = 0x3F,         // '?'
};
@interface FirmwareUpdateManager : NSObject
+ (FirmwareUpdateManager *)sharedFirmwareUpdateManager;

- (void)updateFirmwareWithFileName:(NSString *)fileName
fileData:(NSData *)data
result:(void(^)(BOOL result))result
progress:(void(^)(NSProgress * progress))progress;

- (void)rX:(NSData *)readData;
@end

