#import <Foundation/Foundation.h>
#import <ExternalAccessory/ExternalAccessory.h>

@interface AsReaderP252BDevice : NSObject
@property (nonatomic, strong, readonly) EAAccessory* currentAccessory;
@property (nonatomic, strong, readonly) NSString * deviceName;
@property (nonatomic, assign, readonly) BOOL isConnected;

- (instancetype)initWithEAAccessory:(EAAccessory *)accessory;
- (void)connect;
- (void)disconnect;
- (void)tx:(NSData *)data;
- (void)rx:(NSData *)data;
- (void)connectedStatusChanged:(BOOL)isConnected;
@end
